Summary:        Fast Fourier Transform library.
Name:           fftw
Version:        2.1.5
Release:        0.fdr.1.rh80
Epoch:          0
License:        GPL
Group:          System Environment/Libraries
Source:         http://www.fftw.org/fftw-%{version}.tar.gz
URL:            http://www.fftw.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%package        devel
Summary:        Headers, libraries and docs for the FFTW library.
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}

#---------------------------------------------------------------------

%description
FFTW is a C subroutine library for computing the Discrete Fourier Transform
(DFT) in one or more dimensions, of both real and complex data, and of
arbitrary input size. We believe that FFTW, which is free software, should
become the FFT library of choice for most applications. Our benchmarks,
performed on on a variety of platforms, show that FFTW's performance is
typically superior to that of other publicly available FFT software.

%description    devel
FFTW is a C subroutine library for computing the Discrete Fourier Transform
(DFT) in one or more dimensions, of both real and complex data, and of
arbitrary input size. We believe that FFTW, which is free software, should
become the FFT library of choice for most applications. Our benchmarks,
performed on on a variety of platforms, show that FFTW's performance is
typically superior to that of other publicly available FFT software.

This package contains header files and development libraries needed to
develop programs using the FFTW fast Fourier transform library.

#---------------------------------------------------------------------

%prep
%setup -q -c %{name}-%{version}
mv %{name}-%{version} single
cp -a single double

#---------------------------------------------------------------------

%build
pushd double
	%ifarch i386
		%configure \
			--enable-shared \
			--enable-threads \
			--enable-i386-hacks
	%else
		%configure \
			--enable-shared \
			--enable-threads
	%endif
	make %{?_smp_mflags}
popd
pushd single
	%configure \
		--enable-shared \
		--enable-type-prefix \
		--enable-threads \
		--enable-float
	make %{?_smp_mflags}
popd

#---------------------------------------------------------------------

%install
rm -rf %{buildroot}
pushd double
	%makeinstall
	cp -a AUTHORS COPYING COPYRIGHT ChangeLog NEWS README* TODO ../
	cp -a FAQ/fftw-faq.html/ doc/ ../
popd
pushd single
	%makeinstall
popd
rm -f doc/Makefile*

#---------------------------------------------------------------------

%clean
rm -rf %{buildroot}

#---------------------------------------------------------------------

%post -p /sbin/ldconfig

#---------------------------------------------------------------------

%postun -p /sbin/ldconfig

#---------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYRIGHT ChangeLog NEWS README* TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc  doc/
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_infodir}/*

%exclude %{_libdir}/*.la

#---------------------------------------------------------------------

%changelog
* Mon Apr 07 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:2.1.5-0.fdr.1
- Updated to 2.1.5.

* Tue Apr 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:2.1.4-0.fdr.2
- Added Epoch:0.
- Added ldconfig to post and postun.

* Sun Mar 22 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 2.1.4-0.fdr.1
- Updated to 2.1.4.

* Fri Mar 14 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 2.1.3-0.fdr.1
- Fedorafied.

* Mon Oct 21 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

